LAT_FIFO(8)

NAME
lat_fifo - FIFO benchmark

SYNOPSIS
lat_fifo [ -P <parallelism> ] [ -W <warmups> ] [ -N <repetitions> ]

DESCRIPTION
lat_fifo is a client/server program that measures interprocess communication latencies. The benchmark passes a message back and forth between the two processes (this sort of benchmark is frequently referred to as a ``hot potato'' benchmark). No other work is done in the processes. The message is passed back and forth using FIFOs.

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8), lat_fcntl(8), lat_tcp(8), lat_udp(8), lat_unix(8).

AUTHOR
Carl Staelin and Larry McVoy

Comments, suggestions, and bug reports are always welcome.